com.mysql.cj.result

## Interface RowList

All Superinterfaces:
  Iterator<Row>

All Known Subinterfaces:
  ResultsetRows

    public interface RowList
    extends Iterator<Row>

A list of `Row`s.

### Field Summary

Fields
`static int` `RESULT_SET_SIZE_UNKNOWN` What's returned for the size of a row list when its size can not be determined.

### Method Summary

All Methods Instance Methods Default Methods
`default Row` `get(int n)` Optionally retrieve Row at index n.
`default int` `getPosition()` Returns the current position.
`default Row` `previous()` Optionally iterate backwards on the list.
`default int` `size()` Only works on non dynamic row lists.

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Field Detail

#### RESULT_SET_SIZE_UNKNOWN

    static final int RESULT_SET_SIZE_UNKNOWN

What's returned for the size of a row list when its size can not be determined.

See Also:
  Constant Field Values

### Method Detail

#### previous

    default Row previous()

Optionally iterate backwards on the list.

Returns:
  `Row`

#### get

    default Row get(int n)

Optionally retrieve Row at index n. Only works on non dynamic row lists.

Parameters:
  `n` - row number
Returns:
  `Row`

#### getPosition

    default int getPosition()

Returns the current position.

Returns:
  the current row number

#### size

    default int size()

Only works on non dynamic row lists.

Returns:
  the size of this row list

Copyright © 2016, 2025, Oracle and/or its affiliates.